Validate
curl --request POST \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/assistant/conversations/{conversationId}/messages/{messageId}/report-drafts/{draftId}/validate-selection \
--header 'Content-Type: application/json' \
--data '
{
"projectId": "<string>",
"templateId": "<string>",
"baseVersion": 123,
"baseWorkingCopyRevision": "<string>",
"contractVersion": 123,
"fingerprint": "<string>",
"decisions": [
{
"groupId": "<string>",
"editedValue": "<string>"
}
]
}
'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/assistant/conversations/{conversationId}/messages/{messageId}/report-drafts/{draftId}/validate-selection"
payload = {
"projectId": "<string>",
"templateId": "<string>",
"baseVersion": 123,
"baseWorkingCopyRevision": "<string>",
"contractVersion": 123,
"fingerprint": "<string>",
"decisions": [
{
"groupId": "<string>",
"editedValue": "<string>"
}
]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
projectId: '<string>',
templateId: '<string>',
baseVersion: 123,
baseWorkingCopyRevision: '<string>',
contractVersion: 123,
fingerprint: '<string>',
decisions: [{groupId: '<string>', editedValue: '<string>'}]
})
};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/assistant/conversations/{conversationId}/messages/{messageId}/report-drafts/{draftId}/validate-selection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.specurate.com/api/v1/workspaces/{workspaceId}/assistant/conversations/{conversationId}/messages/{messageId}/report-drafts/{draftId}/validate-selection",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'projectId' => '<string>',
'templateId' => '<string>',
'baseVersion' => 123,
'baseWorkingCopyRevision' => '<string>',
'contractVersion' => 123,
'fingerprint' => '<string>',
'decisions' => [
[
'groupId' => '<string>',
'editedValue' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.specurate.com/api/v1/workspaces/{workspaceId}/assistant/conversations/{conversationId}/messages/{messageId}/report-drafts/{draftId}/validate-selection"
payload := strings.NewReader("{\n \"projectId\": \"<string>\",\n \"templateId\": \"<string>\",\n \"baseVersion\": 123,\n \"baseWorkingCopyRevision\": \"<string>\",\n \"contractVersion\": 123,\n \"fingerprint\": \"<string>\",\n \"decisions\": [\n {\n \"groupId\": \"<string>\",\n \"editedValue\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.specurate.com/api/v1/workspaces/{workspaceId}/assistant/conversations/{conversationId}/messages/{messageId}/report-drafts/{draftId}/validate-selection")
.header("Content-Type", "application/json")
.body("{\n \"projectId\": \"<string>\",\n \"templateId\": \"<string>\",\n \"baseVersion\": 123,\n \"baseWorkingCopyRevision\": \"<string>\",\n \"contractVersion\": 123,\n \"fingerprint\": \"<string>\",\n \"decisions\": [\n {\n \"groupId\": \"<string>\",\n \"editedValue\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.specurate.com/api/v1/workspaces/{workspaceId}/assistant/conversations/{conversationId}/messages/{messageId}/report-drafts/{draftId}/validate-selection")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"projectId\": \"<string>\",\n \"templateId\": \"<string>\",\n \"baseVersion\": 123,\n \"baseWorkingCopyRevision\": \"<string>\",\n \"contractVersion\": 123,\n \"fingerprint\": \"<string>\",\n \"decisions\": [\n {\n \"groupId\": \"<string>\",\n \"editedValue\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"status": "valid",
"fence": {
"contractVersion": 1,
"templateId": "<string>",
"baseVersion": 123,
"baseWorkingCopyRevision": "<string>",
"fingerprint": "<string>"
},
"delta": {
"customFields": [
{
"id": "<string>",
"token": "<string>",
"label": "<string>"
}
],
"page": {
"size": "A4",
"orientation": "portrait",
"margin": "compact",
"margins": {
"top": 27.5,
"right": 27.5,
"bottom": 27.5,
"left": 27.5
}
},
"showCover": true,
"showIndex": true,
"showDisclaimer": true,
"showHeader": true,
"showFooter": true,
"density": "compact",
"showChangeSummary": true,
"blockGap": 6,
"groupBy": "none",
"blocks": [
{
"id": "<string>",
"type": "heading",
"props": {
"text": "<string>",
"level": "1",
"align": "left",
"size": 1.75,
"weight": "regular",
"textTransform": "none",
"background": "none",
"repeatEveryPage": true,
"repeatWhileSectionContinues": true
}
}
],
"categoryVariants": [
{
"id": "<string>",
"categoryIds": [
"<string>"
],
"subcategoryIds": [
"<string>"
],
"includeCover": true,
"blocks": [
{
"id": "<string>",
"type": "heading",
"props": {
"text": "<string>",
"level": "1",
"align": "left",
"size": 1.75,
"weight": "regular",
"textTransform": "none",
"background": "none",
"repeatEveryPage": true,
"repeatWhileSectionContinues": true
}
}
],
"name": "<string>"
}
],
"variantOrder": [
"<string>"
],
"builderPages": [
{
"kind": "pdf",
"id": "<string>",
"name": "<string>",
"assetId": "<string>",
"pageCount": 100
}
],
"pageOrder": [
"<string>"
],
"pageNames": {},
"categoryCover": {
"fields": [
"instructions"
],
"includeDefault": true,
"blocks": [
{
"id": "<string>",
"type": "heading",
"props": {
"text": "<string>",
"level": "1",
"align": "left",
"size": 1.75,
"weight": "regular",
"textTransform": "none",
"background": "none",
"repeatEveryPage": true,
"repeatWhileSectionContinues": true
}
}
],
"deduplicateItemFields": true
},
"pagePresentation": {},
"pageBlocks": {
"cover": [
{
"id": "<string>",
"type": "heading",
"props": {
"text": "<string>",
"level": "1",
"align": "left",
"size": 1.75,
"weight": "regular",
"textTransform": "none",
"background": "none",
"repeatEveryPage": true,
"repeatWhileSectionContinues": true
}
}
],
"changeSummary": [
{
"id": "<string>",
"type": "heading",
"props": {
"text": "<string>",
"level": "1",
"align": "left",
"size": 1.75,
"weight": "regular",
"textTransform": "none",
"background": "none",
"repeatEveryPage": true,
"repeatWhileSectionContinues": true
}
}
],
"index": [
{
"id": "<string>",
"type": "heading",
"props": {
"text": "<string>",
"level": "1",
"align": "left",
"size": 1.75,
"weight": "regular",
"textTransform": "none",
"background": "none",
"repeatEveryPage": true,
"repeatWhileSectionContinues": true
}
}
],
"disclaimer": [
{
"id": "<string>",
"type": "heading",
"props": {
"text": "<string>",
"level": "1",
"align": "left",
"size": 1.75,
"weight": "regular",
"textTransform": "none",
"background": "none",
"repeatEveryPage": true,
"repeatWhileSectionContinues": true
}
}
]
}
},
"touchedIds": [
"<string>"
]
}Assistant Report Draft Reviews
Validate
POST
/
v1
/
workspaces
/
{workspaceId}
/
assistant
/
conversations
/
{conversationId}
/
messages
/
{messageId}
/
report-drafts
/
{draftId}
/
validate-selection
Validate
curl --request POST \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/assistant/conversations/{conversationId}/messages/{messageId}/report-drafts/{draftId}/validate-selection \
--header 'Content-Type: application/json' \
--data '
{
"projectId": "<string>",
"templateId": "<string>",
"baseVersion": 123,
"baseWorkingCopyRevision": "<string>",
"contractVersion": 123,
"fingerprint": "<string>",
"decisions": [
{
"groupId": "<string>",
"editedValue": "<string>"
}
]
}
'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/assistant/conversations/{conversationId}/messages/{messageId}/report-drafts/{draftId}/validate-selection"
payload = {
"projectId": "<string>",
"templateId": "<string>",
"baseVersion": 123,
"baseWorkingCopyRevision": "<string>",
"contractVersion": 123,
"fingerprint": "<string>",
"decisions": [
{
"groupId": "<string>",
"editedValue": "<string>"
}
]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
projectId: '<string>',
templateId: '<string>',
baseVersion: 123,
baseWorkingCopyRevision: '<string>',
contractVersion: 123,
fingerprint: '<string>',
decisions: [{groupId: '<string>', editedValue: '<string>'}]
})
};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/assistant/conversations/{conversationId}/messages/{messageId}/report-drafts/{draftId}/validate-selection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.specurate.com/api/v1/workspaces/{workspaceId}/assistant/conversations/{conversationId}/messages/{messageId}/report-drafts/{draftId}/validate-selection",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'projectId' => '<string>',
'templateId' => '<string>',
'baseVersion' => 123,
'baseWorkingCopyRevision' => '<string>',
'contractVersion' => 123,
'fingerprint' => '<string>',
'decisions' => [
[
'groupId' => '<string>',
'editedValue' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.specurate.com/api/v1/workspaces/{workspaceId}/assistant/conversations/{conversationId}/messages/{messageId}/report-drafts/{draftId}/validate-selection"
payload := strings.NewReader("{\n \"projectId\": \"<string>\",\n \"templateId\": \"<string>\",\n \"baseVersion\": 123,\n \"baseWorkingCopyRevision\": \"<string>\",\n \"contractVersion\": 123,\n \"fingerprint\": \"<string>\",\n \"decisions\": [\n {\n \"groupId\": \"<string>\",\n \"editedValue\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.specurate.com/api/v1/workspaces/{workspaceId}/assistant/conversations/{conversationId}/messages/{messageId}/report-drafts/{draftId}/validate-selection")
.header("Content-Type", "application/json")
.body("{\n \"projectId\": \"<string>\",\n \"templateId\": \"<string>\",\n \"baseVersion\": 123,\n \"baseWorkingCopyRevision\": \"<string>\",\n \"contractVersion\": 123,\n \"fingerprint\": \"<string>\",\n \"decisions\": [\n {\n \"groupId\": \"<string>\",\n \"editedValue\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.specurate.com/api/v1/workspaces/{workspaceId}/assistant/conversations/{conversationId}/messages/{messageId}/report-drafts/{draftId}/validate-selection")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"projectId\": \"<string>\",\n \"templateId\": \"<string>\",\n \"baseVersion\": 123,\n \"baseWorkingCopyRevision\": \"<string>\",\n \"contractVersion\": 123,\n \"fingerprint\": \"<string>\",\n \"decisions\": [\n {\n \"groupId\": \"<string>\",\n \"editedValue\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"status": "valid",
"fence": {
"contractVersion": 1,
"templateId": "<string>",
"baseVersion": 123,
"baseWorkingCopyRevision": "<string>",
"fingerprint": "<string>"
},
"delta": {
"customFields": [
{
"id": "<string>",
"token": "<string>",
"label": "<string>"
}
],
"page": {
"size": "A4",
"orientation": "portrait",
"margin": "compact",
"margins": {
"top": 27.5,
"right": 27.5,
"bottom": 27.5,
"left": 27.5
}
},
"showCover": true,
"showIndex": true,
"showDisclaimer": true,
"showHeader": true,
"showFooter": true,
"density": "compact",
"showChangeSummary": true,
"blockGap": 6,
"groupBy": "none",
"blocks": [
{
"id": "<string>",
"type": "heading",
"props": {
"text": "<string>",
"level": "1",
"align": "left",
"size": 1.75,
"weight": "regular",
"textTransform": "none",
"background": "none",
"repeatEveryPage": true,
"repeatWhileSectionContinues": true
}
}
],
"categoryVariants": [
{
"id": "<string>",
"categoryIds": [
"<string>"
],
"subcategoryIds": [
"<string>"
],
"includeCover": true,
"blocks": [
{
"id": "<string>",
"type": "heading",
"props": {
"text": "<string>",
"level": "1",
"align": "left",
"size": 1.75,
"weight": "regular",
"textTransform": "none",
"background": "none",
"repeatEveryPage": true,
"repeatWhileSectionContinues": true
}
}
],
"name": "<string>"
}
],
"variantOrder": [
"<string>"
],
"builderPages": [
{
"kind": "pdf",
"id": "<string>",
"name": "<string>",
"assetId": "<string>",
"pageCount": 100
}
],
"pageOrder": [
"<string>"
],
"pageNames": {},
"categoryCover": {
"fields": [
"instructions"
],
"includeDefault": true,
"blocks": [
{
"id": "<string>",
"type": "heading",
"props": {
"text": "<string>",
"level": "1",
"align": "left",
"size": 1.75,
"weight": "regular",
"textTransform": "none",
"background": "none",
"repeatEveryPage": true,
"repeatWhileSectionContinues": true
}
}
],
"deduplicateItemFields": true
},
"pagePresentation": {},
"pageBlocks": {
"cover": [
{
"id": "<string>",
"type": "heading",
"props": {
"text": "<string>",
"level": "1",
"align": "left",
"size": 1.75,
"weight": "regular",
"textTransform": "none",
"background": "none",
"repeatEveryPage": true,
"repeatWhileSectionContinues": true
}
}
],
"changeSummary": [
{
"id": "<string>",
"type": "heading",
"props": {
"text": "<string>",
"level": "1",
"align": "left",
"size": 1.75,
"weight": "regular",
"textTransform": "none",
"background": "none",
"repeatEveryPage": true,
"repeatWhileSectionContinues": true
}
}
],
"index": [
{
"id": "<string>",
"type": "heading",
"props": {
"text": "<string>",
"level": "1",
"align": "left",
"size": 1.75,
"weight": "regular",
"textTransform": "none",
"background": "none",
"repeatEveryPage": true,
"repeatWhileSectionContinues": true
}
}
],
"disclaimer": [
{
"id": "<string>",
"type": "heading",
"props": {
"text": "<string>",
"level": "1",
"align": "left",
"size": 1.75,
"weight": "regular",
"textTransform": "none",
"background": "none",
"repeatEveryPage": true,
"repeatWhileSectionContinues": true
}
}
]
}
},
"touchedIds": [
"<string>"
]
}Path Parameters
Body
application/json
⌘I